use enumflags2::bitflags;

#[derive(Eq, PartialEq, Debug)]
pub enum ParsedTypeModifier {
    Array,
    Handle,
    ConstHandle,
}

#[bitflags]
#[repr(u8)]
#[derive(Eq, PartialEq, Debug, Copy, Clone)]
pub enum ReferenceModifier {
    In,
    Out,
}
